Matching Markets
Sport by Date
Find equivalent markets across different prediction market platforms (Polymarket, Kalshi, etc.) for sports events by sport and date.
GET
/
matching-markets
/
sports
/
{sport}
Get Matching Markets for Sports by Sport and Date
curl --request GET \
--url https://api.domeapi.io/v1/matching-markets/sports/{sport}import requests
url = "https://api.domeapi.io/v1/matching-markets/sports/{sport}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.domeapi.io/v1/matching-markets/sports/{sport}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": {
"nfl-ari-den-2025-08-16": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25AUG16ARIDEN",
"market_tickers": [
"KXNFLGAME-25AUG16ARIDEN-ARI",
"KXNFLGAME-25AUG16ARIDEN-DEN"
]
},
{
"platform": "POLYMARKET",
"market_slug": "nfl-ari-den-2025-08-16",
"token_ids": [
"34541522652444763571858406546623861155130750437169507355470933750634189084033",
"104612081187206848956763018128517335758189185749897027211060738913329108425255"
]
}
]
},
"sport": "nfl",
"date": "2025-08-16"
}{
"error": "Missing required parameter",
"message": "date parameter is required"
}Path Parameters
The sport to find matching markets for.
Sport abbreviations:
- nfl = Football
- mlb = Baseball
- cfb = College Football
- nba = Basketball
- nhl = Hockey
- cbb = College Basketball
- pga = Golf
- tennis = Tennis
Available options:
nfl, mlb, cfb, nba, nhl, cbb, pga, tennis Example:
"nfl"
Query Parameters
The date to find matching markets for in YYYY-MM-DD format
Pattern:
^\d{4}-\d{2}-\d{2}$Example:
"2025-08-16"
Response
Matching markets response
Show child attributes
Show child attributes
Example:
{
"nfl-ari-den-2025-08-16": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25AUG16ARIDEN",
"market_tickers": [
"KXNFLGAME-25AUG16ARIDEN-ARI",
"KXNFLGAME-25AUG16ARIDEN-DEN"
]
},
{
"platform": "POLYMARKET",
"market_slug": "nfl-ari-den-2025-08-16",
"token_ids": [
"34541522652444763571858406546623861155130750437169507355470933750634189084033",
"104612081187206848956763018128517335758189185749897027211060738913329108425255"
]
}
]
}
Example:
"nfl"
Example:
"2025-08-16"
⌘I
Get Matching Markets for Sports by Sport and Date
